OPENPAM_GET_OPTION(3) | Library Functions Manual | OPENPAM_GET_OPTION(3)

# NAME

`openpam_get_option` —
returns the value of a module option

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`
`#include <security/openpam.h>`

const char *
`openpam_get_option`(pam_handle_t *pamh, const char *option);

# DESCRIPTION

The `openpam_get_option`() function returns the value of the specified option in the context of the currently executing service module, or `NULL` if the option is not set or no module is currently executing.

# RETURN VALUES

The `openpam_get_option`() function returns `NULL` on failure.

# SEE ALSO

openpam_set_option(3), pam(3)

# STANDARDS

The `openpam_get_option`() function is an OpenPAM extension.

# AUTHORS

The `openpam_get_option`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.4